<?php
/*
Simple:Press Forum
Admin Profiles Panel Rendering
$LastChangedDate: 2009-10-03 09:56:14 -0700 (Sat, 03 Oct 2009) $
$Rev: 2765 $
*/

if (preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF']))
{
	die('Access Denied');
}

function sfa_render_profiles_panel($formid)
{
?>
	<div class="clearboth"></div>

	<div class="wrap sfatag">
		<?php
			sfa_render_sidemenu();
		?>
		<div id='sfmsgspot'></div>
		<div id="sfmaincontainer">
			<?php sfa_render_profiles_container($formid); ?>
		</div>
			<div class="clearboth"></div>
	</div>
<?php
	return;
}

function sfa_render_profiles_container($formid)
{
	switch($formid)
	{
		case 'options':
			include_once (SF_PLUGIN_DIR.'/admin/panel-profiles/forms/sfa-profiles-options-form.php');
			sfa_profiles_options_form();
			break;
		case 'data':
			include_once (SF_PLUGIN_DIR.'/admin/panel-profiles/forms/sfa-profiles-data-form.php');
			sfa_profiles_data_form();
			break;
		case 'fields':
			include_once (SF_PLUGIN_DIR.'/admin/panel-profiles/forms/sfa-profiles-fields-form.php');
			sfa_profiles_fields_form();
			break;
		case 'avatars':
			include_once (SF_PLUGIN_DIR.'/admin/panel-profiles/forms/sfa-profiles-avatars-form.php');
			sfa_profiles_avatars_form();
			break;
	}
	return;
}

?>